#
# spec file for package perl-Gearman
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gearman
Version:        1.12
Release:        1.1
%define cpan_name Gearman
Summary:        Client and worker libraries for gearman job dispatch dispatch.  Server i[cut]
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gearman/
Source0:        http://www.cpan.org/authors/id/D/DO/DORMANDO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(String::CRC32)
Requires:       perl(String::CRC32)
%{perl_requires}

%description
Client and worker libraries for gearman job dispatch dispatch.  Server is in separate package.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES HACKING TODO

%changelog
* Sat May  2 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  1.12 (2014-12-14)
  - - Repoint HACKING file.
  - - Make a jobserver connection use the command timeout during exception negotiation.
  - - Make $taskset->add_task use the command timeout to not hang during job submission.
  - - Add a client option 'command_timeout' to indicate how long we should wait before considering a
    gearman command to have failed. This not the same as a job timeout, and only affects commands
    that should generally not block apart from the roundtrip on the network.
  - - When a connection to a gearman server fails, start counting how many failures we've had and
    do an exponential backoff (1s, 4s, 9s, 16s...) to a maximum of 90 seconds (default) that we
    treat the server as 'gone' quickly.
  - - Change dispatch_background to share code paths with other dispatching, this will make
    background jobs now be hashed to a particular server (rather than handed to a random server)
* Mon May 30 2011 lars@linux-schulserver.de
- initial package 1.11
  * created by cpanspec 1.78.03
